package es.verdnatura.presentation.view.feature.historicoshelving.model

import es.verdnatura.domain.isoToString


data class ItemShelvingLog(
    var itemFk: Int? = null,
    var longName: String? = null,
    var shelvingFk: String? = null,
    var visible: Int? = null,
    var accion: String? = null,
    var code: String? = null,
    var worker: Worker? = null,
    var item:ItemSalix? = null
) {
    var created: String = ""
        get() {
            return field.isoToString(returnOnlyDate = false)
        }

}

data class ItemSalix(var longName: String?)

data class ItemShelvingSaleDateList(
    var list: List<ItemShelvingLog> = listOf()
)

data class ItemShelvingLogList(
    var list: List<ItemShelvingLog> = listOf()
)

data class Worker(
    var id:Int? ,
    var code: String,
)
